Elite Games - Свобода среди звезд!
.
  » ESP8266 сборка NodeMCU 3.0.0 | страница 1
Конференция предназначена для общения пилотов. Для удобства она разделена на каналы, каждый из которых посвящен определенной игре. Пожалуйста, открывайте темы только в соответствующих каналах и после того, как убедитесь, что данный вопрос не обсуждался ранее.

Поиск | Правила конференции | Фотоальбом | Регистрация | Список пилотов | Профиль | Войти и проверить личные сообщения | Вход

   Страница 1 из 1
 
Поиск в этой теме:
Железный канал: «ESP8266 сборка NodeMCU 3.0.0»
_RAZAAR_
 71 EGP


Рейтинг канала: 1(8)
Репутация: -18
Сообщения: 2819 Предупреждений: 1
Откуда: РАЗААРЪ - 40Лы от Лаве
Зарегистрирован: 15.04.2008
При попытке собрать сабж https://github.com/nodemcu/nodemcu-firmware/
вылезает ошибка которая ранее вроде не наблюдалась.
Последний раз я собирал прошивку из старых исходников год или 2 назад версии 2.2.1 если не ошибаюсь и ничего подобного не случалось.
Вот не помню на физической машине я это делал или на виртуалке помню что был debian 8.
Сейчас пытаюсь на VM Virtualbox также под Denian 8.
поиск по симптомам в гугле ничего внятного не даёт.
Встречал пару описаний похожего, но дельных решений невидно ну или я не вижу.
Ступор на строке 334 мейкфайла это всё что мне понятно, а где этот
Syntax error: "(" unexpected непойму.

 Cкрытый текст   (кликните здесь для просмотра)
PRUNE libmain.a libc.a
/usr/lib/git-core:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/home/user1/nodefw/nodemcu-firmware/tools/toolchains/esp8266-linux-x86_64-20190731.0/bin
/home/user1/nodefw/nodemcu-firmware/tools/toolchains/esp8266-linux-x86_64-20190731.0/bin/xtensa-lx106-elf-ar: 1: /home/user1/nodefw/nodemcu-firmware/tools/toolchains/esp8266-linux-x86_64-20190731.0/bin/xtensa-lx106-elf-ar: Syntax error: "(" unexpected
Makefile:334: recipe for target '/home/user1/nodefw/nodemcu-firmware/sdk/.pruned-3.0-e4434aa' failed
make: *** [/home/user1/nodefw/nodemcu-firmware/sdk/.pruned-3.0-e4434aa] Error 2
make: Leaving directory '/home/user1/nodefw/nodemcu-firmware'


кому неохота бутет лазить вот копия Makefile
 Cкрытый текст   (кликните здесь для просмотра)

# copyright (c) 2010 Espressif System
#
.NOTPARALLEL:

TOP_DIR:=$(abspath $(dir $(lastword $(MAKEFILE_LIST))))

# SDK base version, as released by Espressif depends on the RELEASE flag
#
# RELEASE = lastest pulls the latest V3.0.0 branch version as at the issue of this make
# otherwise it pulls the labelled version in the SDK version's release directory
#
ifeq ("$(RELEASE)","latest-3.0")
SDK_VER := 3.0.0
SDK_FILE_SHA1 := NA
SDK_ZIP_ROOT := ESP8266_NONOS_SDK-release-v$(SDK_VER)
SDK_FILE_VER := release/v$(SDK_VER)
else ifeq ("$(RELEASE)","master")
SDK_VER := master
SDK_FILE_SHA1 := NA
SDK_ZIP_ROOT := ESP8266_NONOS_SDK-$(SDK_VER)
SDK_FILE_VER := $(SDK_VER)
else
# SDK_VER := 3.0
# SDK_FILE_VER := v$(SDK_VER)
SDK_FILE_VER := e4434aa730e78c63040ace360493aef420ec267c
SDK_VER := 3.0-e4434aa
SDK_FILE_SHA1 := ac6528a6a206d3d4c220e4035ced423eb314cfbf
SDK_ZIP_ROOT := ESP8266_NONOS_SDK-$(SDK_FILE_VER)
endif
SDK_REL_DIR := sdk/esp_iot_sdk_v$(SDK_VER)
SDK_DIR := $(TOP_DIR)/$(SDK_REL_DIR)
APP_DIR := $(TOP_DIR)/app

ESPTOOL_VER := 2.6

# Ensure that the Espresif SDK is search before application paths and also prevent
# the SDK's c_types.h from being included from anywhere, by predefining its include-guard.

CCFLAGS := $(CCFLAGS) -I $(PDIR)sdk-overrides/include -I $(SDK_DIR)/include -D_C_TYPES_H_
LDFLAGS := -L$(SDK_DIR)/lib -L$(SDK_DIR)/ld $(LDFLAGS)

ifdef DEBUG
CCFLAGS += -ggdb -O0
LDFLAGS += -ggdb
else
CCFLAGS += -O2
endif


# Handling of V=1/VERBOSE=1 flag
#
# if V=1, $(summary) does nothing
# if V is unset or not 1, $(summary) echoes a summary
VERBOSE ?=
V ?= $(VERBOSE)
ifeq ("$(V)","1")
export summary := @true
else
export summary := @echo
# disable echoing of commands, directory names
MAKEFLAGS += --silent -w
endif # $(V)==1

ifndef BAUDRATE
BAUDRATE=115200
endif

#############################################################
# Select compile
#
# ** HEALTH WARNING ** This section is largely legacy directives left over from
# an Espressif template. As far as I (TerrryE) know, we've only used the Linux
# Path. I have successfully build AMD and Intel (both x86, AMD64) and RPi ARM6
# all under Ubuntu. Our docker container runs on Windows in an Ubuntu VM.
# Johny Mattson maintains a prebuild AMD64 xtensa cross-compile gcc v4.8.5
# toolchain which is compatible with the non-OS SDK and can be used on any recent
# Ubuntu version including the Docker and Travis build environments.
#
# You have the option to build your own toolchain and specify a TOOLCHAIN_ROOT
# environment variable (see https://github.com/pfalcon/esp-open-sdk). If your
# architecture is compatable then you can omit this variable and the make will
# download and use this prebuilt toolchain.
#
# If any developers wish to develop, test and support alternative environments
# then please raise a GitHub issue on this work.
#

ifndef $(OS)
# Assume Windows if MAKE_HOST contains "indows" and Linux otherwise
ifneq (,$(findstring indows,$(MAKE_HOST)))
OS := windows
else
OS := linux
endif
endif

ifneq (,$(findstring indows,$(OS)))
#------------ BEGIN UNTESTED ------------ We are not under Linux, e.g.under windows.
ifeq ($(XTENSA_CORE),lx106)
# It is xcc
AR = xt-ar
CC = xt-xcc
CXX = xt-xcc
NM = xt-nm
CPP = xt-cpp
OBJCOPY = xt-objcopy
#MAKE = xt-make
CCFLAGS += --rename-section .text=.irom0.text --rename-section .literal=.irom0.literal
else
# It is gcc, may be cygwin
# Can we use -fdata-sections?
CCFLAGS += -ffunction-sections -fno-jump-tables -fdata-sections -fpack-struct=4
AR = xtensa-lx106-elf-ar
CC = xtensa-lx106-elf-gcc
CXX = xtensa-lx106-elf-g++
NM = xtensa-lx106-elf-nm
CPP = xtensa-lx106-elf-cpp
OBJCOPY = xtensa-lx106-elf-objcopy
endif
FIRMWAREDIR = ..\\bin\\
ifndef COMPORT
ESPPORT = com1
else
ESPPORT = $(COMPORT)
endif
ifeq ($(PROCESSOR_ARCHITECTURE),AMD64)
# ->AMD64
endif
ifeq ($(PROCESSOR_ARCHITECTURE),x86)
# ->IA32
endif
#---------------- END UNTESTED ---------------- We are under windows.
else
# We are under other system, may be Linux. Assume using gcc.

UNAME_S := $(shell uname -s)
UNAME_P := $(shell uname -p)
ifeq ($(OS),linux)
ifndef TOOLCHAIN_ROOT
TOOLCHAIN_VERSION = 20190731.0
GCCTOOLCHAIN = linux-x86_64-$(TOOLCHAIN_VERSION)
TOOLCHAIN_ROOT = $(TOP_DIR)/tools/toolchains/esp8266-$(GCCTOOLCHAIN)
GITHUB_TOOLCHAIN = https://github.com/jmattsson/esp-toolchains
export PATH:=$(PATH):$(TOOLCHAIN_ROOT)/bin
endif
endif

ifndef COMPORT
ESPPORT = /dev/ttyUSB0
else
ESPPORT = $(COMPORT)
endif

CCFLAGS += -ffunction-sections -fno-jump-tables -fdata-sections
AR = xtensa-lx106-elf-ar
CC = $(WRAPCC) xtensa-lx106-elf-gcc
CXX = $(WRAPCC) xtensa-lx106-elf-g++
NM = xtensa-lx106-elf-nm
CPP = $(WRAPCC) xtensa-lx106-elf-gcc -E
OBJCOPY = xtensa-lx106-elf-objcopy
FIRMWAREDIR = ../bin/
WGET = wget --tries=10 --timeout=15 --waitretry=30 --read-timeout=20 --retry-connrefused
endif

GITHUB_SDK = https://github.com/espressif/ESP8266_NONOS_SDK
GITHUB_ESPTOOL = https://github.com/espressif/esptool

ESPTOOL ?= $(TOP_DIR)/tools/toolchains/esptool.py

SUBDIRS ?= $(patsubst %/,%,$(dir $(filter-out tools/Makefile,$(wildcard */Makefile))))

ODIR := .output

ifdef TARGET
CSRCS ?= $(wildcard *.c)
CXXSRCS ?= $(wildcard *.cpp)
ASRCs ?= $(wildcard *.s)
ASRCS ?= $(wildcard *.S)

OBJODIR := $(ODIR)/$(TARGET)/$(FLAVOR)/obj

OBJS := $(CSRCS:%.c=$(OBJODIR)/%.o) \
$(CXXSRCS:%.cpp=$(OBJODIR)/%.o) \
$(ASRCs:%.s=$(OBJODIR)/%.o) \
$(ASRCS:%.S=$(OBJODIR)/%.o)

DEPS := $(CSRCS:%.c=$(OBJODIR)/%.d) \
$(CXXSCRS:%.cpp=$(OBJODIR)/%.d) \
$(ASRCs:%.s=$(OBJODIR)/%.d) \
$(ASRCS:%.S=$(OBJODIR)/%.d)

LIBODIR := $(ODIR)/$(TARGET)/$(FLAVOR)/lib
OLIBS := $(GEN_LIBS:%=$(LIBODIR)/%)

IMAGEODIR := $(ODIR)/$(TARGET)/$(FLAVOR)/image
OIMAGES := $(GEN_IMAGES:%=$(IMAGEODIR)/%)

BINODIR := $(ODIR)/$(TARGET)/$(FLAVOR)/bin
OBINS := $(GEN_BINS:%=$(BINODIR)/%)

ifndef PDIR
ifneq ($(wildcard $(TOP_DIR)/local/fs/*),)
SPECIAL_MKTARGETS += spiffs-image
else
SPECIAL_MKTARGETS += spiffs-image-remove
endif
endif
endif # TARGET
#
# Note:
# https://gcc.gnu.org/onlinedocs/gcc/Optimize-Options.html
# If you add global optimize options then they will override "-Os" defined above.
# Note that "-Os" should NOT be used to reduce code size because of the runtime
# impact of the extra non-aligned exception burdon.
#
CCFLAGS += \
-g \
-Wpointer-arith \
-Wundef \
-Werror \
-Wl,-EL \
-fno-inline-functions \
-nostdlib \
-mlongcalls \
-mtext-section-literals \
# -Wall

CFLAGS = $(CCFLAGS) $(DEFINES) $(EXTRA_CCFLAGS) $(STD_CFLAGS) $(INCLUDES)
DFLAGS = $(CCFLAGS) $(DDEFINES) $(EXTRA_CCFLAGS) $(STD_CFLAGS) $(INCLUDES)


#############################################################
# Functions
#

ifdef TARGET

define ShortcutRule
$(1): .subdirs $(2)/$(1)
endef

define MakeLibrary
DEP_LIBS_$(1) = $$(foreach lib,$$(filter %.a,$$(COMPONENTS_$(1))),$$(dir $$(lib))$$(LIBODIR)/$$(notdir $$(lib)))
DEP_OBJS_$(1) = $$(foreach obj,$$(filter %.o,$$(COMPONENTS_$(1))),$$(dir $$(obj))$$(OBJODIR)/$$(notdir $$(obj)))
$$(LIBODIR)/$(1).a: $$(OBJS) $$(DEP_OBJS_$(1)) $$(DEP_LIBS_$(1)) $$(DEPENDS_$(1))
@mkdir -p $$(LIBODIR)
$$(if $$(filter %.a,$$?),mkdir -p $$(EXTRACT_DIR)_$(1))
$$(if $$(filter %.a,$$?),cd $$(EXTRACT_DIR)_$(1); $$(foreach lib,$$(filter %.a,$$?),$$(AR) xo $$(UP_EXTRACT_DIR)/$$(lib)Подмигиваю)
$(summary) AR $(patsubst $(TOP_DIR)/%,%,$(CURDIR))/$<
$$(AR) ru $$@ $$(filter %.o,$$?) $$(if $$(filter %.a,$$?),$$(EXTRACT_DIR)_$(1)/*.o)
$$(if $$(filter %.a,$$?),$$(RM) -r $$(EXTRACT_DIR)_$(1))
endef

define MakeImage
DEP_LIBS_$(1) = $$(foreach lib,$$(filter %.a,$$(COMPONENTS_$(1))),$$(dir $$(lib))$$(LIBODIR)/$$(notdir $$(lib)))
DEP_OBJS_$(1) = $$(foreach obj,$$(filter %.o,$$(COMPONENTS_$(1))),$$(dir $$(obj))$$(OBJODIR)/$$(notdir $$(obj)))
$$(IMAGEODIR)/$(1).out: $$(OBJS) $$(DEP_OBJS_$(1)) $$(DEP_LIBS_$(1)) $$(DEPENDS_$(1))
@mkdir -p $$(IMAGEODIR)
$(summary) LD $(patsubst $(TOP_DIR)/%,%,$(CURDIR))/$$@
$$(CC) $$(LDFLAGS) $$(if $$(LINKFLAGS_$(1)),$$(LINKFLAGS_$(1)),$$(LINKFLAGS_DEFAULT) $$(OBJS) $$(DEP_OBJS_$(1)) $$(DEP_LIBS_$(1))) -o $$@
endef

$(BINODIR)/%.bin: $(IMAGEODIR)/%.out
@mkdir -p $(BINODIR)
$(summary) NM $(patsubst $(TOP_DIR)/%,%,$(CURDIR))/$@
@$(NM) $< | grep -w U && { echo "Firmware has undefined (but unused) symbols!"; exit 1; } || true
$(summary) ESPTOOL $(patsubst $(TOP_DIR)/%,%,$(CURDIR))/$< $(FIRMWAREDIR)
$(ESPTOOL) elf2image --flash_mode dio --flash_freq 40m $< -o $(FIRMWAREDIR)

endif # TARGET
#############################################################
# Rules base
# Should be done in top-level makefile only
#

ifndef TARGET
all: toolchain sdk_pruned pre_build buildinfo .subdirs
else
all: .subdirs $(OBJS) $(OLIBS) $(OIMAGES) $(OBINS) $(SPECIAL_MKTARGETS)
endif

.PHONY: sdk_extracted
.PHONY: sdk_pruned
.PHONY: toolchain

sdk_extracted: $(TOP_DIR)/sdk/.extracted-$(SDK_VER)
sdk_pruned: sdk_extracted toolchain $(TOP_DIR)/sdk/.pruned-$(SDK_VER)

ifdef GITHUB_TOOLCHAIN
TOOLCHAIN_ROOT := $(TOP_DIR)/tools/toolchains/esp8266-linux-x86_64-$(TOOLCHAIN_VERSION)

toolchain: $(TOOLCHAIN_ROOT)/bin $(ESPTOOL)

$(TOOLCHAIN_ROOT)/bin: $(TOP_DIR)/cache/toolchain-esp8266-$(GCCTOOLCHAIN).tar.xz
mkdir -p $(TOP_DIR)/tools/toolchains/
$(summary) EXTRACT $(patsubst $(TOP_DIR)/%,%,$<)
tar -xJf $< -C $(TOP_DIR)/tools/toolchains/
touch $@

$(TOP_DIR)/cache/toolchain-esp8266-$(GCCTOOLCHAIN).tar.xz:
mkdir -p $(TOP_DIR)/cache
$(summary) WGET $(patsubst $(TOP_DIR)/%,%,$@)
$(WGET) $(GITHUB_TOOLCHAIN)/releases/download/$(GCCTOOLCHAIN)/toolchain-esp8266-$(GCCTOOLCHAIN).tar.xz -O $@ \
|| { rm -f "$@"; exit 1; }
else
toolchain: $(ESPTOOL)
endif

$(ESPTOOL): $(TOP_DIR)/cache/esptool/v$(ESPTOOL_VER).tar.gz
mkdir -p $(TOP_DIR)/tools/toolchains/
tar -C $(TOP_DIR)/tools/toolchains/ -xzf $< --strip-components=1 esptool-$(ESPTOOL_VER)/esptool.py
chmod +x $@
touch $@

$(TOP_DIR)/cache/esptool/v$(ESPTOOL_VER).tar.gz:
mkdir -p $(TOP_DIR)/cache/esptool/
$(WGET) $(GITHUB_ESPTOOL)/archive/v$(ESPTOOL_VER).tar.gz -O $@ || { rm -f "$@"; exit 1; }

$(TOP_DIR)/sdk/.extracted-$(SDK_VER): $(TOP_DIR)/cache/$(SDK_FILE_VER).zip
mkdir -p "$(dir $@)"
$(summary) UNZIP $(patsubst $(TOP_DIR)/%,%,$<)
(cd "$(dir $@)" && \
rm -fr esp_iot_sdk_v$(SDK_VER) ESP8266_NONOS_SDK-* && \
unzip $(TOP_DIR)/cache/$(SDK_FILE_VER).zip \
'*/lib/*' \
'*/ld/*.v6.ld' \
'*/include/*' \
'*/bin/esp_init_data_default_v05.bin' \
)
mv $(dir $@)/$(SDK_ZIP_ROOT) $(dir $@)/esp_iot_sdk_v$(SDK_VER)
touch $@

$(TOP_DIR)/sdk/.pruned-$(SDK_VER):
rm -f $(SDK_DIR)/lib/liblwip.a $(SDK_DIR)/lib/libssl.a $(SDK_DIR)/lib/libmbedtls.a
$(summary) PRUNE libmain.a libc.a
echo $(PATH)
$(AR) d $(SDK_DIR)/lib/libmain.a time.o
$(AR) d $(SDK_DIR)/lib/libc.a lib_a-time.o
touch $@

$(TOP_DIR)/cache/$(SDK_FILE_VER).zip:
mkdir -p "$(dir $@)"
$(summary) WGET $(patsubst $(TOP_DIR)/%,%,$@)
$(WGET) $(GITHUB_SDK)/archive/$(SDK_FILE_VER).zip -O $@ || { rm -f "$@"; exit 1; }
if test "$(SDK_FILE_SHA1)" != "NA"; then echo "$(SDK_FILE_SHA1) $@" | sha1sum -c - || { rm -f "$@"; exit 1; }; fi

clean:
$(foreach d, $(SUBDIRS), $(MAKE) -C $(d) clean;)
$(RM) -r $(ODIR)/$(TARGET)/$(FLAVOR)
$(RM) -r "$(TOP_DIR)/sdk"

clobber: $(SPECIAL_CLOBBER)
$(foreach d, $(SUBDIRS), $(MAKE) -C $(d) clobber;)
$(RM) -r $(ODIR)

flash:
@echo "use one of the following targets to flash the firmware"
@echo " make flash512k - for ESP with 512kB flash size"
@echo " make flash1m-dout - for ESP with 1MB flash size and flash mode = dout (Sonoff, ESP8285)"
@echo " make flash4m - for ESP with 4MB flash size"

flash512k:
$(MAKE) -e FLASHOPTIONS="-fm qio -fs 4m -ff 40m" flashinternal

flash4m:
$(MAKE) -e FLASHOPTIONS="-fm dio -fs 32m -ff 40m" flashinternal

flash1m-dout:
$(MAKE) -e FLASHOPTIONS="-fm dout -fs 8m -ff 40m" flashinternal


flashinternal:
ifndef PDIR
$(MAKE) -C $(APP_DIR) flashinternal
else
$(ESPTOOL) --port $(ESPPORT) --baud $(BAUDRATE) write_flash $(FLASHOPTIONS) 0x00000 $(FIRMWAREDIR)0x00000.bin 0x10000 $(FIRMWAREDIR)0x10000.bin
endif

.subdirs:
@set -e; $(foreach d, $(SUBDIRS), $(MAKE) -C $(d)Подмигиваю

ifneq ($(MAKECMDGOALS),clean)
ifneq ($(MAKECMDGOALS),clobber)
ifdef DEPS
sinclude $(DEPS)
endif
endif
endif

.PHONY: spiffs-image-remove

spiffs-image-remove:
$(MAKE) -C tools remove-image spiffsimg/spiffsimg

.PHONY: spiffs-image

spiffs-image: bin/0x10000.bin
$(MAKE) -C tools
############ Note: this target needs moving into app/modules make ############
.PHONY: pre_build

ifneq ($(wildcard $(TOP_DIR)/server-ca.crt),)
pre_build: $(APP_DIR)/modules/server-ca.crt.h

$(APP_DIR)/modules/server-ca.crt.h: $(TOP_DIR)/server-ca.crt
$(summary) MKCERT $(patsubst $(TOP_DIR)/%,%,$<)
python $(TOP_DIR)/tools/make_server_cert.py $(TOP_DIR)/server-ca.crt > $(APP_DIR)/modules/server-ca.crt.h

DEFINES += -DHAVE_SSL_SERVER_CRT=\"server-ca.crt.h\"
else
pre_build:
@-rm -f $(APP_DIR)/modules/server-ca.crt.h
endif

.PHONY: buildinfo

buildinfo:
tools/update_buildinfo.sh

ifdef TARGET
$(OBJODIR)/%.o: %.c
@mkdir -p $(dir $@);
$(summary) CC $(patsubst $(TOP_DIR)/%,%,$(CURDIR))/$<
$(CC) $(if $(findstring $<,$(DSRCS)),$(DFLAGS),$(CFLAGS)) $(COPTS_$(*F)) -o $@ -c $<

$(OBJODIR)/%.d: %.c
@mkdir -p $(dir $@);
$(summary) DEPEND: CC $(patsubst $(TOP_DIR)/%,%,$(CURDIR))/$<
@set -e; rm -f $@; \
$(CC) -M $(CFLAGS) $< > $@.$$$$; \
sed 's,\($*\.o\)[ :]*,$(OBJODIR)/\1 $@ : ,g' < $@.$$$$ > $@; \
rm -f $@.$$$$

$(OBJODIR)/%.o: %.cpp
@mkdir -p $(OBJODIR);
$(summary) CXX $(patsubst $(TOP_DIR)/%,%,$(CURDIR))/$<
$(CXX) $(if $(findstring $<,$(DSRCS)),$(DFLAGS),$(CFLAGS)) $(COPTS_$(*F)) -o $@ -c $<

$(OBJODIR)/%.d: %.cpp
@mkdir -p $(OBJODIR);
$(summary) DEPEND: CXX $(patsubst $(TOP_DIR)/%,%,$(CURDIR))/$<
@set -e; rm -f $@; \
sed 's,\($*\.o\)[ :]*,$(OBJODIR)/\1 $@ : ,g' < $@.$$$$ > $@; \
rm -f $@.$$$$

$(OBJODIR)/%.o: %.s
@mkdir -p $(dir $@);
$(summary) CC $(patsubst $(TOP_DIR)/%,%,$(CURDIR))/$<
$(CC) $(CFLAGS) -o $@ -c $<

$(OBJODIR)/%.d: %.s
@mkdir -p $(dir $@); \
set -e; rm -f $@; \
$(CC) -M $(CFLAGS) $< > $@.$$$$; \
sed 's,\($*\.o\)[ :]*,$(OBJODIR)/\1 $@ : ,g' < $@.$$$$ > $@; \
rm -f $@.$$$$

$(OBJODIR)/%.o: %.S
@mkdir -p $(dir $@);
$(summary) CC $(patsubst $(TOP_DIR)/%,%,$(CURDIR))/$<
$(CC) $(CFLAGS) -D__ASSEMBLER__ -o $@ -c $<

$(OBJODIR)/%.d: %.S
@mkdir -p $(dir $@); \
set -e; rm -f $@; \
$(CC) -M $(CFLAGS) $< > $@.$$$$; \
sed 's,\($*\.o\)[ :]*,$(OBJODIR)/\1 $@ : ,g' < $@.$$$$ > $@; \
rm -f $@.$$$$

$(foreach lib,$(GEN_LIBS),$(eval $(call ShortcutRule,$(lib),$(LIBODIR))))

$(foreach image,$(GEN_IMAGES),$(eval $(call ShortcutRule,$(image),$(IMAGEODIR))))

$(foreach bin,$(GEN_BINS),$(eval $(call ShortcutRule,$(bin),$(BINODIR))))

$(foreach lib,$(GEN_LIBS),$(eval $(call MakeLibrary,$(basename $(lib)))))

$(foreach image,$(GEN_IMAGES),$(eval $(call MakeImage,$(basename $(image)))))

endif # TARGET
#############################################################
# Recursion Magic - Don't touch this!!
#
# Each subtree potentially has an include directory
# corresponding to the common APIs applicable to modules
# rooted at that subtree. Accordingly, the INCLUDE PATH
# of a module can only contain the include directories up
# its parent path, and not its siblings
#
# Required for each makefile to inherit from the parent
#

PDIR := ../$(PDIR)
sinclude $(PDIR)Makefile


застопориваемая строка 334 выглядит так

rm -f $(SDK_DIR)/lib/liblwip.a $(SDK_DIR)/lib/libssl.a $(SDK_DIR)/lib/libmbedtls.a

вторые сутки пытаюсь вспомнить как я собирал прошивку раньше извёлся весь Улыбка

подскажите если кому что видно вооруженным глазом.
_________________
Citius, altius, fortius!
------------------------
"Я люблю путешествовать, посещать новые города, страны, знакомиться с новыми людьми." Чингизхан.
    Добавлено: 20:43 29-03-2021   
Grebomet
 1398 EGP


Модератор
Рейтинг канала: 7(636)
Репутация: 268
Сообщения: 4631
Откуда: Питербурх
Зарегистрирован: 06.01.2003
Невооруженным глазом вижу, что Дебиан уже давно 10-й версии, а восьмерка помрэ еще в прошлом году: https://www.debian.org/News/2020/20200709

Вычекал этот nodemcu на дебиане десятке, ничего не конфигурял (серамно не знаю, что зачем) и никаких переменных окружения не выставлял. То место, где у тебя падает, пролетело со свистом:

Код:
$ uname -a
Linux nas 4.19.0-13-amd64 #1 SMP Debian 4.19.160-2 (2020-11-28) x86_64 GNU/Linux
$ git clone --recurse-submodules https://github.com/nodemcu/nodemcu-firmware.git
... многабукав ...
$ cd nodemcu-firmware
$ make
...
 extracting: ESP8266_NONOS_SDK-e4434aa730e78c63040ace360493aef420ec267c/third_party/include/ssl/ssl_version.h
 extracting: ESP8266_NONOS_SDK-e4434aa730e78c63040ace360493aef420ec267c/third_party/include/user_config.h
PRUNE libmain.a libc.a
/home/zmey/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/home/zmey/gitrepos/nodemcu-firmware/tools/toolchains/esp8266-linux-x86_64-20190731.0/bin
diff: app/include/buildinfo.h: No such file or directory
make[1]: Entering directory '/home/zmey/gitrepos/nodemcu-firmware/app'
make[2]: Entering directory '/home/zmey/gitrepos/nodemcu-firmware/app/user'
DEPEND: CC app/user/user_main.c
DEPEND: CC app/user/dbg_printf.c
CC app/user/dbg_printf.c
CC app/user/user_main.c
AR app/user/
...
и еще много всякого


Упало здесь, но ставить питоновые модули заради проверки мне лень:
Код:
ESPTOOL app/.output/eagle/debug/image/eagle.app.v6.out ../bin/
[b]Pyserial is not installed for /usr/bin/python. Check the README for installation instructions.[/b]
Traceback (most recent call last):
  File "/home/zmey/gitrepos/nodemcu-firmware/tools/toolchains/esptool.py", line 37, in <module>
    import serial
ImportError: No module named serial
make[1]: *** [../Makefile:268: .output/eagle/debug/bin/eagle.app.v6.bin] Error 1
make[1]: Leaving directory '/home/zmey/gitrepos/nodemcu-firmware/app'


Так что я бы для начала накатил в виртуалку свежий дебиан и попробовал на нем.
_________________
Классическая ошибка, которую совершают проектировщики абсолютно надежных систем, – недооценка изобретательности клинических идиотов.
    Добавлено: 12:40 30-03-2021   
_RAZAAR_
 71 EGP


Рейтинг канала: 1(8)
Репутация: -18
Сообщения: 2819 Предупреждений: 1
Откуда: РАЗААРЪ - 40Лы от Лаве
Зарегистрирован: 15.04.2008
Grebomet :


Упало здесь, но ставить питоновые модули заради проверки мне лень:
Код:
ESPTOOL app/.output/eagle/debug/image/eagle.app.v6.out ../bin/
[b]Pyserial is not installed for /usr/bin/python. Check the README for installation instructions.[/b]
Traceback (most recent call last):
  File "/home/zmey/gitrepos/nodemcu-firmware/tools/toolchains/esptool.py", line 37, in <module>
    import serial
ImportError: No module named serial
make[1]: *** [../Makefile:268: .output/eagle/debug/bin/eagle.app.v6.bin] Error 1
make[1]: Leaving directory '/home/zmey/gitrepos/nodemcu-firmware/app'


Так что я бы для начала накатил в виртуалку свежий дебиан и попробовал на нем.


Благодар. что заморочился.
Я конечно попробую 10тку, но разве в твоём случае упало не раньше чем у меня?
make[1]: *** [../Makefile:268: .outpu.....

строка 268 мейка

а у меня 334
Makefile:334: recipe for target '/home/user1/nodefw/nodemcu.....


Кроме того даже если упало не раньше , вот тут странно

PRUNE libmain.a libc.a
/home/zmey/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/home/zmey/gitrepos/nodemcu-firmware/tools/toolchains/esp8266-linux-x86_64-20190731.0/bin
diff: app/include/buildinfo.h: No such file or directory
что-то не было найдено и возможно потому пролетело со свистом?

и ещё вопрос ты на виртуалке смотрел или на физическом?
_________________
Citius, altius, fortius!
------------------------
"Я люблю путешествовать, посещать новые города, страны, знакомиться с новыми людьми." Чингизхан.

Последний раз редактировалось: _RAZAAR_ (16:18 30-03-2021), всего редактировалось 1 раз
    Добавлено: 16:16 30-03-2021   
Grebomet
 1398 EGP


Модератор
Рейтинг канала: 7(636)
Репутация: 268
Сообщения: 4631
Откуда: Питербурх
Зарегистрирован: 06.01.2003
_RAZAAR_ :
Я конечно попробую 10тку, но разве в твоём случае упало не раньше чем у меня?
make[1]: *** [../Makefile:268: .outpu.....

строка 268 мейка

а у меня 334
Makefile:334: recipe for target '/home/user1/nodefw/nodemcu.....

Makefile - это не скрипт, он не выполняется построчно сверху вниз. Правила могут срабатывать в любом порядке (естественно, с поправкой на зависимости).

_RAZAAR_ :
PRUNE libmain.a libc.a
/home/zmey/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/home/zmey/gitrepos/nodemcu-firmware/tools/toolchains/esp8266-linux-x86_64-20190731.0/bin
diff: app/include/buildinfo.h: No such file or directory
что-то не было найдено и возможно потому пролетело со свистом?

Нет, обычно это не так работает. Улыбка
Если команда вернула ошибку, make прекращает сборку. А раз не прекратил - значит, автор предусмотрел такую ситуацию и сам обрабатывает возможную ошибку.

_RAZAAR_ :
и ещё вопрос ты на виртуалке смотрел или на физическом?

На физической машине.
_________________
Классическая ошибка, которую совершают проектировщики абсолютно надежных систем, – недооценка изобретательности клинических идиотов.
    Добавлено: 16:58 30-03-2021   
VBKesha
 812 EGP


Рейтинг канала: 7(600)
Репутация: 132
Сообщения: 3320
Откуда: обл.Брянская г. Трубчевск
Зарегистрирован: 07.12.2005
Сейчас проверил
делаю
Код:
git clone https://github.com/nodemcu/nodemcu-firmware.git

пытаюсь сделать мэйк, где то падает.
а вот если делаю
Код:
git clone --recurse-submodules https://github.com/nodemcu/nodemcu-firmware.git

То мэйчится без проблем.
_________________
JumpGate. Quantar Optimus.
Jumpgate(TM) . . . welcome to your next life . . . There's nothing you can't do

Последний раз редактировалось: VBKesha (00:16 31-03-2021), всего редактировалось 1 раз
    Добавлено: 00:16 31-03-2021   
_RAZAAR_
 71 EGP


Рейтинг канала: 1(8)
Репутация: -18
Сообщения: 2819 Предупреждений: 1
Откуда: РАЗААРЪ - 40Лы от Лаве
Зарегистрирован: 15.04.2008
VBKesha :

а вот если делаю
Код:
git clone --recurse-submodules https://github.com/nodemcu/nodemcu-firmware.git

То мэйчится без проблем.


именно так и делал --recurse-submodules на восьмом деби падало на 334 строке.
щас ставлю деб 10
но вопрос несколько поменялся.
мне удалось собрать билд 3.0.0 используя докер контейнер
вот из этого гайда https://hub.docker.com/r/marcelstoer/nodemcu-build/
но
1. Таким образом я собирал предыдущий билд 2.2.0 который использовал 2 года назад
2. слепок докер машины я не сделал и как-то автоматически загрузился последний билд 3.0.0 без ошибок и теперь я могу собирать прошивки билда 3.0.0.
3. Используя билд 3.0.0 собрал прошивку с теми же модулями, что были использованы в старой прошивке 2.2.0, чтоб проверить свой существующий незамысловатый .lua код на новом билде NodeMcu 3.0.0.
4. В общем код заработал, но частично, прекратил работать телнет сервер, при обращении к которому контроллер перегружается без каких либо намёков на причины такого поведения.
5. прошил прошивкой 2.2.0 залил свой lua код всё работает включая телнет сервер как и раньше.
6. затевалось это всё для того чтоб добавить к устройству ссд1306 дисплей
для этого нужно добавить в прошивку доп модуль драйвера.
7. поскольку прошивка версии 3.0.0 для меня пока не актуальна так как мой старый код на ней работает частично и видимых причин этому нет, я решил откатиться на любой предыдущий билд 2.2.0 (100% рабочий) или 2.2.1 (неизвесно)
8. как принудительно собрать 2.2.0 если по линку
git clone --recurse-submodules https://github.com/nodemcu/nodemcu-firmware.git качается билд 3.0.0?
9. исходники 2.2.0 и 2.2.1 есть.
10. доке контейнер не желает ничего билдить если я подменяю содержимое папки nodemcu-firmware с версией 3.0 на 2.2

ругаясь вотак



на созданной дебиан 10 мне достаточно установить Espsif SDK и кросс компилятор чтоб я смог любой билд прошивки собирать?
_________________
Citius, altius, fortius!
------------------------
"Я люблю путешествовать, посещать новые города, страны, знакомиться с новыми людьми." Чингизхан.
    Добавлено: 20:40 01-04-2021   
VBKesha
 812 EGP


Рейтинг канала: 7(600)
Репутация: 132
Сообщения: 3320
Откуда: обл.Брянская г. Трубчевск
Зарегистрирован: 07.12.2005
_RAZAAR_ :
именно так и делал --recurse-submodules на восьмом деби падало на 334 строке.

У меня дошло до образа даже на генте которая 5 лет не обнавлялась.
Ты случаем не от рута билдил? Или от рута скачвивал?
_RAZAAR_ :
мне удалось собрать билд 3.0.0 используя докер контейнер

С докером это не ко мне.

_RAZAAR_ :
8. как принудительно собрать 2.2.0 если по линку

По линку, а никак нету у них репозитории второй ветки:
Код:

  origin/1.5.4.1-final
  origin/HEAD -> origin/release
  origin/chore/node-setonerror
  origin/dev
  origin/dev-esp32
  origin/gh-pages
  origin/master
  origin/release

Это все их бранчи.

_RAZAAR_ :
10. доке контейнер не желает ничего билдить если я подменяю содержимое папки nodemcu-firmware с версией 3.0 на 2.2

Потому что в версии из исходников нету гитовых файлов. А оно явно чтото пытается сделать с этим гитом.
_________________
JumpGate. Quantar Optimus.
Jumpgate(TM) . . . welcome to your next life . . . There's nothing you can't do
    Добавлено: 12:37 02-04-2021   
Voha
 893 EGP


Модератор
Рейтинг канала: 8(933)
Репутация: 167
Сообщения: 4705
Откуда: Moscow, Russia
Зарегистрирован: 15.02.2001
_RAZAAR_ :

8. как принудительно собрать 2.2.0 если по линку
git clone --recurse-submodules https://github.com/nodemcu/nodemcu-firmware.git качается билд 3.0.0?
Use tags, Luke - branch обычно умеет в теги. Т.е.
git clone --branch 2.2.0-master_20180608 --recurse-submodules https://github.com/nodemcu/nodemcu-firmware.git
Если возвращает неведому херню - то после клона 3-й ветки по
git clone --recurse-submodules https://github.com/nodemcu/nodemcu-firmware.git
сделай cd в репу и
git checkout 2.2.0-master_20180608
_________________
Time will show...
    Добавлено: 14:09 02-04-2021   
_RAZAAR_
 71 EGP


Рейтинг канала: 1(8)
Репутация: -18
Сообщения: 2819 Предупреждений: 1
Откуда: РАЗААРЪ - 40Лы от Лаве
Зарегистрирован: 15.04.2008
VBKesha :

У меня дошло до образа даже на генте которая 5 лет не обнавлялась.
Ты случаем не от рута билдил? Или от рута скачвивал?

Ну вот и я подумал что на восьмом дебиане тоже должно всё билдится.
Нет не от рута, на скриншоте докер там просто для теста от рута проверил.



VBKesha :

По линку, а никак нету у них репозитории второй ветки:
Код:

  origin/1.5.4.1-final
  origin/HEAD -> origin/release
  origin/chore/node-setonerror
  origin/dev
  origin/dev-esp32
  origin/gh-pages
  origin/master
  origin/release

Это все их бранчи.



вот Voha вроде подсказал, если сюда посмотреть то все текущие и предыдущие можно качнуть архивом.
https://github.com/nodemcu/nodemcu-firmware/releases

а по его подсказке 2.2.0 качнулся! щас попробую собрать.

 Cкрытый текст   (кликните здесь для просмотра)


интересно что эта фраза после закачки означает фактически? Улыбка


чегойт не билдится без xtensa-lx106-elf-gcc а сдк вроде поставился до этого Расстроен

 Cкрытый текст   (кликните здесь для просмотра)



очень странно

при абсолютной той же последовательности действий но для 2.2.1
предварительно переименовав nodemcu-firmware в nodemcu-firmware_2.2.0

закачалась 2.2.1
git clone --branch 2.2.1-master_20190405 --recurse-submodules https://github.com/nodemcu/nodemcu-firmware.git

cd nodemcu-firmware
make

успоесшно собралось!

 Cкрытый текст   (кликните здесь для просмотра)

_________________
Citius, altius, fortius!
------------------------
"Я люблю путешествовать, посещать новые города, страны, знакомиться с новыми людьми." Чингизхан.

Последний раз редактировалось: _RAZAAR_ (15:42 02-04-2021), всего редактировалось 2 раз(а)
    Добавлено: 15:16 02-04-2021   
_RAZAAR_
 71 EGP


Рейтинг канала: 1(8)
Репутация: -18
Сообщения: 2819 Предупреждений: 1
Откуда: РАЗААРЪ - 40Лы от Лаве
Зарегистрирован: 15.04.2008
В общем всем спасибо и благодарю кто отозвался!.
На vbox Debian 10 могу собирать
и 3.0.0
git clone --branch 3.0.0-release_20210201 --recurse-submodules https://github.com/nodemcu/nodemcu-firmware.git
и 2.2.1
git clone --branch 2.2.1-master_20190405 --recurse-submodules https://github.com/nodemcu/nodemcu-firmware.git
чего в вполне достаточно.
Не актуальный билд 2.2.0
git clone --branch 2.2.0-master_20180608 --recurse-submodules https://github.com/nodemcu/nodemcu-firmware.git
не собирается да и шут с ним.
Сделал экспорт appliance в .ova могу залить куда-нибудь если кому понадобится.
_________________
Citius, altius, fortius!
------------------------
"Я люблю путешествовать, посещать новые города, страны, знакомиться с новыми людьми." Чингизхан.
    Добавлено: 18:23 03-04-2021   
Железный канал: «ESP8266 сборка NodeMCU 3.0.0»
 
  
Показать: 
Предыдущая тема | Следующая тема |
К списку каналов | Наверх страницы
Цитата не в тему: При покупке физического тела, духовное и астральное прилагается совершенно бесплатно. (Veste)

  » ESP8266 сборка NodeMCU 3.0.0 | страница 1
Каналы: Новости | Elite | Elite: Dangerous | Freelancer | Star Citizen | X-Tension/X-BTF | X2: The Threat | X3: Reunion | X3: Terran Conflict | X Rebirth | X4: Foundations | EVE Online | Orbiter | Kerbal Space Program | Evochron | VoidExpanse | Космические Миры | Онлайновые игры | Другие игры | Цифровая дистрибуция | play.elite-games.ru | ЗВ 2: Гражданская война | Творчество | Железо | Игра Мечты | Сайт
   Дизайн Elite Games V5 beta.18